<?php
	include '../config.php';
	include '../classes.php';
	include '../functions.php';
	include '../settings.php';
	
	/* CMS-spezifische Formulare laden */
	if (isset($_POST['ajax_cmsform'])) {
		if (isset($_POST['language'])) {
			$ezstats['language'] = $_POST['language'];
			$ezLoc = new ezLocalization($ezstats);
		}
		
		$ezLoc->get_data("overview");
		$ezLoc->get_data("admin", true);
		$ezLoc->get_data("manual", true);
		
		$preset = $ezCMS->load_cms_data($_POST['ajax_cmsform']);
		if ($ezFunc->is_arrayvalue_empty('curl', $preset)) $preset['curl'] = "http://".$_SERVER['HTTP_HOST'].str_replace("admin/manual.php", "index.php", $_SERVER['PHP_SELF']);
		
		eval ("\$cms_form = \"".$ezLoc->get_template("form", "html", "../admin/manuals/".$_POST['ajax_cmsform'])."\";");
		echo $cms_form;
		
		if (!isset($_POST['install'])) {
			eval ("\$cms_manual = \"".$ezLoc->get_template("manual", "html", "../admin/manuals/".$_POST['ajax_cmsform'])."\";");
			echo $cms_manual;
		}
	}
	
	
	/* Manual -> Dateien erstellen */
	elseif (isset($_GET['manual'])) {
		switch ($_GET['manual']) {
			case "forum":
				if (isset($_GET['file']) AND $_GET['file'] == "smf_src") {
					header('Content-Type: text/plain');
					header('Content-Disposition: attachment; filename="ezStats.php"');
					$file = file_get_contents('../admin/manuals/022_forum_smf/file1.php');
					echo $file;
				} elseif (isset($_GET['file']) AND $_GET['file'] == "smf_tpl") {
					header('Content-Type: text/plain');
					header('Content-Disposition: attachment; filename="ezStats.template.php"');
					$file = file_get_contents('../admin/manuals/022_forum_smf/file2.php');
					$file = str_replace('%CURL%', $ezstats['curl'], $file);
					$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
					echo $file;
				} else {
					header('Content-Type: text/plain');
					header('Content-Disposition: attachment; filename="ezstats.txt"');
					$file = file_get_contents('../admin/manuals/021_forum/file.php');
					$file = str_replace('%RELPATH%', $ezstats['relpath'], $file);
					echo $file;
				}
				break;
				
			case "joomla":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.txt"');
				$file = file_get_contents('../admin/manuals/031_joomla15/file.php');
				$file = str_replace('%RELPATH%', $ezstats['relpath'], $file);
				echo $file;
				break;
				
			case "webspell":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.php"');
				$file = file_get_contents('../admin/manuals/041_webspell40/file.php');
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				$file = str_replace('%RELPATH%', $ezstats['relpath'], $file);
				echo $file;
				break;
			
			case "dzcp":
				if (isset($_GET['index']) AND $_GET['index'] == "15x") {
					header('Content-Type: text/plain');
					header('Content-Disposition: attachment; filename="index.php"');
					$file = file_get_contents('../admin/manuals/051_dzcp15x/file_index.php');
					$file = str_replace('%CURL%', $ezstats['curl'], $file);
					$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
					echo $file;
				} elseif (isset($_GET['index']) AND $_GET['index'] == "153") {
					header('Content-Type: text/plain');
					header('Content-Disposition: attachment; filename="index.php"');
					$file = file_get_contents('../admin/manuals/052_dzcp153/file_index.php');
					$file = str_replace('%CURL%', $ezstats['curl'], $file);
					$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
					echo $file;
				} else {
					header('Content-Type: text/plain');
					header('Content-Disposition: attachment; filename="ezstats.html"');
					$file = file_get_contents('../admin/manuals/051_dzcp15x/file_template.php');
					echo $file;
				}
				
				break;
			
			case "phpnuke":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="index.php"');
				$file = file_get_contents('../admin/manuals/061_phpnuke80/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				echo $file;
				break;
			
			case "e107":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.php"');
				$file = file_get_contents('../admin/manuals/071_e107_07/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				echo $file;
				break;
			
			case "ilch":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.php"');
				$file = file_get_contents('../admin/manuals/081_ilch11/file.php');
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				$file = str_replace('%RELPATH%', $ezstats['relpath'], $file);
				echo $file;
				break;
			
			case "wordpress":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.php"');
				$file = file_get_contents('../admin/manuals/091_wordpress29/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				echo $file;
				break;
			
			case "phpkit":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.php"');
				$file = file_get_contents('../admin/manuals/101_phpkit16/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				echo $file;
				break;
			
			case "csphere":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="list.php"');
				$file = file_get_contents('../admin/manuals/111_csphere2009/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				echo $file;
				break;
			
			case "phpfusion":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="ezstats.php"');
				$file = file_get_contents('../admin/manuals/121_phpfusion7/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				echo $file;
				break;
			
			case "ecp30":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="index.php"');
				$file = file_get_contents('../admin/manuals/131_ecp30/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				$file = str_replace('%HEADLINE%', $ezstats['headline'], $file);
				echo $file;
				break;
			
			case "ajax":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="default_ajax_method.txt"');
				$file = file_get_contents('../admin/manuals/991_default_ajax/file.php');
				$file = str_replace('%RELPATH%', $ezstats['relpath'], $file);
				echo $file;
				break;
			
			case "curl":
				header('Content-Type: text/plain');
				header('Content-Disposition: attachment; filename="default_curl_method.txt"');
				$file = file_get_contents('../admin/manuals/992_default_curl/file.php');
				$file = str_replace('%CURL%', $ezstats['curl'], $file);
				echo $file;
				break;
		}
	}
?>